Subject: bug#32296: cups not started

From: Gnu Röoty <[email-masked]>
Date: Wed, 1 Aug 2018 20:05:11 +0200

Yeah I have herd status but I dont find the service cups.
I did guix pull before sudo -E guix system reconfigure /etc/config.scm

The command guix --version tell that,
guix (GNU Guix) 2207053542f293980266ab77c920fcd8de2f961b

Here my config.scm :

(use-modules (gnu) (gnu system nss))
(use-service-modules desktop networking dbus cups)
(use-package-modules certs mate wicd glib cups)

(service cups-service-type
(cups-configuration
(web-interface? #t)
(extensions
(list cups-filters hplip))))

(operating-system
  (host-name "x200")
  (timezone "Europe/Paris")
  (locale "fr_FR.utf8")

  ;; Use the UEFI variant of GRUB with the EFI System
  ;; Partition mounted on /boot/efi.
  (bootloader (bootloader-configuration
                (bootloader grub-bootloader)
                (target "/dev/sda")))

  (file-systems (cons (file-system
                        (device (file-system-label "GnuOS"))
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))

  (users (cons (user-account
                (name "walid")
                (comment "")
                (group "users")
                (supplementary-groups '("wheel" "netdev"
                                        "audio" "video"))
                (home-directory "/home/walid"))
               %base-user-accounts))

;; This is where we specify system-wide packages.
  (packages (cons* nss-certs         ;for HTTPS access
                   %base-packages))

  ;; Add GNOME and/or Xfce---we can choose at the log-in
  ;; screen with F1.  Use the "desktop" services, which
  ;; include the X11 log-in service, networking with
  ;; NetworkManager, and more.
  (services (cons* (mate-desktop-service)
                   %desktop-services))

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))